## rust-tokio-vsock 0.5.0

=== Makefile ===
# Copyright 2019 fsyncd, Berlin, Germany.
# Additional material, copyright of the containerd authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TOOLCHAIN := x86_64-unknown-linux-musl
VPATH = target/system target/$(TOOLCHAIN)/debug target/$(TOOLCHAIN)/release

SRCS := $(shell find . -type f -name '*.rs' | grep -v 'tests')
ID := $(shell date +%s)

.PHONY: all check clean tokio_vsock kmod vm

all: fmt clippy tokio_vsock test_server

check: tokio_vsock test

test:
	cargo test --all

fmt:
	cargo fmt --all -- --check

clippy:
	cargo clippy --all-targets --all-features -- -D warnings

clean:
	cargo clean

tokio_vsock: $(SRCS)
	cargo build --lib

test_server: tokio_vsock test_server/src/main.rs
	cargo build --manifest-path=test_server/Cargo.toml

# Setup required host kernel modules
kmod:
	sudo /sbin/modprobe -r vmw_vsock_vmci_transport
	sudo /sbin/modprobe -r vmw_vsock_virtio_transport_common
	sudo /sbin/modprobe -r vsock
	sudo /sbin/modprobe vhost_vsock

# Start a Virtio socket enabled vm
vm: initrd.cpio
	sudo qemu-system-x86_64 -kernel test_fixture/bzImage -initrd target/$(TOOLCHAIN)/debug/initrd.cpio \
		-enable-kvm -m 256 -device vhost-vsock-pci,id=vhost-vsock-pci0,guest-cid=3 -nographic -append "console=ttyS0"

# Create a simple operating system image for the vm
initrd.cpio: test_server
	-rm -f target/$(TOOLCHAIN)/debug/initrd.cpio
	mkdir -p /tmp/$(ID)
	cp test_fixture/busybox.cpio /tmp/$(ID)/initrd.cpio
	cp test_fixture/init /tmp/$(ID)/init
	cp test_server/target/$(TOOLCHAIN)/debug/test_server /tmp/$(ID)/
	(cd '/tmp/$(ID)' && find . | grep -v 'initrd.cpio' | cpio -H newc -o --append -F initrd.cpio)
	mv /tmp/$(ID)/initrd.cpio target/$(TOOLCHAIN)/debug/
	rm -Rf /tmp/$(ID)

## rust-tokio-vsock 0.3.1

=== debian/changelog ===
rust-tokio-vsock (0.3.1-2) unstable; urgency=medium

  * Package tokio-vsock 0.3.1 from crates.io using debcargo 2.5.0
  * No-op source-only re-upload for Debian Testing Migration.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Dec 2021 02:36:52 +0800

rust-tokio-vsock (0.3.1-1) unstable; urgency=medium

  * Package tokio-vsock 0.3.1 from crates.io using debcargo 2.5.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Dec 2021 02:29:14 +0800

=== debian/control ===
Source: rust-tokio-vsock
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bytes+default-dev (>= 0.4.12-~~) <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.79-~~) <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-1+net-dev <!nocheck>,
 librust-vsock-0.2+default-dev (>= 0.2.4-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/tokio-vsock]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/tokio-vsock
Homepage: https://github.com/rust-vsock/tokio-vsock
Rules-Requires-Root: no

Package: librust-tokio-vsock-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bytes+default-dev (>= 0.4.12-~~),
 librust-futures-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.79-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+net-dev,
 librust-vsock-0.2+default-dev (>= 0.2.4-~~)
Provides:
 librust-tokio-vsock+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0-dev (= ${binary:Version}),
 librust-tokio-vsock-0+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.3-dev (= ${binary:Version}),
 librust-tokio-vsock-0.3+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.3.1-dev (= ${binary:Version}),
 librust-tokio-vsock-0.3.1+default-dev (= ${binary:Version})
Description: Asynchronous Virtio socket support for Rust - Rust source code
 This package contains the source for the Rust tokio-vsock crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.3.1 --all-targets --all-features
Features: test-name=rust-tokio-vsock:@
Depends: dh-cargo (>= 18), librust-rand+default-dev (>= 0.7.3-~~), librust-sha2-0.9+default-dev, librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.3.1 --all-targets 
Features: test-name=librust-tokio-vsock-dev:default
Depends: dh-cargo (>= 18), librust-rand+default-dev (>= 0.7.3-~~), librust-sha2-0.9+default-dev, librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.3.1 --all-targets --no-default-features
Features: test-name=librust-tokio-vsock-dev:
Depends: dh-cargo (>= 18), librust-rand+default-dev (>= 0.7.3-~~), librust-sha2-0.9+default-dev, librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/tokio-vsock-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/tokio-vsock .*/crates/tokio-vsock/@ANY_VERSION@/download

## rust-tokio-vsock 0.5.0

=== debian/changelog ===
rust-tokio-vsock (0.5.0-3) unstable; urgency=medium

  * Team upload.
  * Package tokio-vsock 0.5.0 from crates.io using debcargo 2.6.1
  * Patch-out support for tonic, as rust-tonic is not in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 23:59:09 +0000

rust-tokio-vsock (0.5.0-2) unstable; urgency=medium

  * Team upload.
  * Package tokio-vsock 0.5.0 from crates.io using debcargo 2.6.1
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 May 2024 14:01:16 +0000

rust-tokio-vsock (0.5.0-1) experimental; urgency=medium

  * Team upload.
  * Package tokio-vsock 0.5.0 from crates.io using debcargo 2.6.1

 -- Peter Michael Green <plugwash@debian.org>  Tue, 16 Apr 2024 12:12:11 +0000

rust-tokio-vsock (0.3.1-3) unstable; urgency=medium

  * Team upload.
  * Package tokio-vsock 0.3.1 from crates.io using debcargo 2.6.0
  * Migrate to use sha2 0.10 instead of 0.9

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Tue, 01 Aug 2023 21:20:11 +0200

=== debian/control ===
Source: rust-tokio-vsock
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.3.0-~~) <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.138-~~) <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-1+net-dev <!nocheck>,
 librust-tokio-1+sync-dev <!nocheck>,
 librust-vsock-0.4+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/tokio-vsock]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/tokio-vsock
Homepage: https://github.com/rust-vsock/tokio-vsock
X-Cargo-Crate: tokio-vsock
Rules-Requires-Root: no

Package: librust-tokio-vsock-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bytes-1+default-dev (>= 1.3.0-~~),
 librust-futures-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.138-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+sync-dev,
 librust-vsock-0.4+default-dev
Provides:
 librust-tokio-vsock+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0-dev (= ${binary:Version}),
 librust-tokio-vsock-0+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.5-dev (= ${binary:Version}),
 librust-tokio-vsock-0.5+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.5.0-dev (= ${binary:Version}),
 librust-tokio-vsock-0.5.0+default-dev (= ${binary:Version})
Description: Asynchronous Virtio socket support for Rust - Rust source code
 Source code for Debianized Rust crate "tokio-vsock"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.5.0 --all-targets --all-features
Features: test-name=rust-tokio-vsock:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.5.0 --all-targets
Features: test-name=librust-tokio-vsock-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.5.0 --all-targets --no-default-features
Features: test-name=librust-tokio-vsock-dev:
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev, librust-tokio-1+io-util-dev, librust-tokio-1+macros-dev, librust-tokio-1+rt-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

## rust-tokio-vsock 0.7.0

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,12 @@
 tokio_vsock: $(SRCS)
 	cargo build --lib
 
+tokio_vsock_all_features: $(SRCS)
+	cargo build --lib --all-features
+
+tokio_vsock_min_deps: $(SRCS)
+	cargo build --lib --all-features -Z direct-minimal-versions
+
 test_server: tokio_vsock test_server/src/main.rs
 	cargo build --manifest-path=test_server/Cargo.toml

=== debian/changelog ===
rust-tokio-vsock (0.7.0-1) unstable; urgency=medium

  * Team upload
  * Package tokio-vsock 0.7.0 from crates.io using debcargo 2.7.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 1 Sep 2025 12:10:17 -0400

=== debian/control ===
Source: rust-tokio-vsock
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bytes-1+default-dev (>= 1.3.0-~~) <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.158-~~) <!nocheck>,
 librust-tokio-1+default-dev (>= 1.34-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.34-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.34-~~) <!nocheck>,
 librust-vsock-0.5+default-dev (>= 0.5.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/tokio-vsock]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/tokio-vsock
Homepage: https://github.com/rust-vsock/tokio-vsock
X-Cargo-Crate: tokio-vsock
Rules-Requires-Root: no

Package: librust-tokio-vsock-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bytes-1+default-dev (>= 1.3.0-~~),
 librust-futures-0.3+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.158-~~),
 librust-tokio-1+default-dev (>= 1.34-~~),
 librust-tokio-1+net-dev (>= 1.34-~~),
 librust-tokio-1+sync-dev (>= 1.34-~~),
 librust-tonic-0.12+default-dev,
 librust-vsock-0.5+default-dev (>= 0.5.1-~~)
Provides:
 librust-tokio-vsock+default-dev (= ${binary:Version}),
 librust-tokio-vsock+tonic012-dev (= ${binary:Version}),
 librust-tokio-vsock-0-dev (= ${binary:Version}),
 librust-tokio-vsock-0+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0+tonic012-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7+tonic012-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7.0-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7.0+default-dev (= ${binary:Version}),
 librust-tokio-vsock-0.7.0+tonic012-dev (= ${binary:Version})
Description: Asynchronous Virtio socket support for Rust - Rust source code
 Source code for Debianized Rust crate "tokio-vsock"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.7.0 --all-targets --all-features
Features: test-name=rust-tokio-vsock:@
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev (>= 1.34-~~), librust-tokio-1+io-util-dev (>= 1.34-~~), librust-tokio-1+macros-dev (>= 1.34-~~), librust-tokio-1+rt-dev (>= 1.34-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.7.0 --all-targets
Features: test-name=librust-tokio-vsock-dev:default
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev (>= 1.34-~~), librust-tokio-1+io-util-dev (>= 1.34-~~), librust-tokio-1+macros-dev (>= 1.34-~~), librust-tokio-1+rt-dev (>= 1.34-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.7.0 --all-targets --no-default-features --features tonic012
Features: test-name=librust-tokio-vsock-dev:tonic012
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev (>= 1.34-~~), librust-tokio-1+io-util-dev (>= 1.34-~~), librust-tokio-1+macros-dev (>= 1.34-~~), librust-tokio-1+rt-dev (>= 1.34-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test tokio-vsock 0.7.0 --all-targets --no-default-features
Features: test-name=librust-tokio-vsock-dev:
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-sha2-0.10+default-dev (>= 0.10.6-~~), librust-tokio-1+default-dev (>= 1.34-~~), librust-tokio-1+io-util-dev (>= 1.34-~~), librust-tokio-1+macros-dev (>= 1.34-~~), librust-tokio-1+rt-dev (>= 1.34-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/tokio-vsock-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/tokio-vsock .*/crates/tokio-vsock/@ANY_VERSION@/download
